FROM openshift/golang-builder@sha256:2c34135dc4d4a35fa19775e4e559e2e6f2e476a0ccdc993360e3663729904035 AS builder
ENV __doozer=update BUILD_RELEASE=202201210133.p0.gf0a396e.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202201210133.p0.gf0a396e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f0a396e OS_GIT_VERSION=4.8.0-202201210133.p0.gf0a396e.assembly.stream-f0a396e SOURCE_DATE_EPOCH=1639673989 SOURCE_GIT_COMMIT=f0a396eee469a3ace9e473c0476a29d8983671eb SOURCE_GIT_TAG=f0a396ee SOURCE_GIT_URL=https://github.com/openshift/cluster-machine-approver 
WORKDIR /go/src/github.com/openshift/cluster-machine-approver
COPY . .
RUN make build

FROM openshift/ose-base:v4.8.0-202112141153.p0.gad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202201210133.p0.gf0a396e.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202201210133.p0.gf0a396e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f0a396e OS_GIT_VERSION=4.8.0-202201210133.p0.gf0a396e.assembly.stream-f0a396e SOURCE_DATE_EPOCH=1639673989 SOURCE_GIT_COMMIT=f0a396eee469a3ace9e473c0476a29d8983671eb SOURCE_GIT_TAG=f0a396ee SOURCE_GIT_URL=https://github.com/openshift/cluster-machine-approver 
COPY --from=builder /go/src/github.com/openshift/cluster-machine-approver/machine-approver /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/machine-approver"]

LABEL \
        io.k8s.display-name="OpenShift cluster-machine-approver" \
        io.k8s.description="This is an OpenShift component for approving new machines" \
        com.redhat.component="ose-cluster-machine-approver-container" \
        maintainer="OpenShift Auth Team <aos-auth-team@redhat.com>" \
        name="openshift/ose-cluster-machine-approver" \
        version="v4.8.0" \
        io.openshift.tags="openshift" \
        io.openshift.release.operator="true" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202201210133.p0.gf0a396e.assembly.stream" \
        io.openshift.build.commit.id="f0a396eee469a3ace9e473c0476a29d8983671eb" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-machine-approver" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-machine-approver/commit/f0a396eee469a3ace9e473c0476a29d8983671eb"

